#   Copyright (c) 2019 Boulder Real Time Technologies, Inc.
#
#   This software module is wholly owned by Boulder Real Time
#   Technologies, Inc. Any use of this software module without
#   express written permission from Boulder Real Time Technologies,
#   Inc. is prohibited.
#
#   Author: Ambli LLC (ambli.ll.company@gmail.com)

from . import service_interfaces


NETWORK = "network"
STATION = "station"
LOCATION = "location"
CHANNEL = "channel"

SERVICE_SPECIFIC_DESCRIPTIONS = \
    {
        NETWORK: {
                service_interfaces.DATASELECT: "Select one or more network codes. Can be SEED network codes or data "
                                               "center defined codes. Multiple codes are comma-separated.",
                service_interfaces.STATION: "Select one or more network codes. Can be SEED network codes or data center"
                                            " defined codes. Multiple codes are comma-separated."
            },
        STATION: {
                service_interfaces.DATASELECT: "Select one or more SEED station codes. Multiple codes are "
                                               "comma-separated.",
                service_interfaces.STATION: "Select one or more SEED station codes. Multiple codes are comma-separated."
            },
        CHANNEL: {
                service_interfaces.DATASELECT: "Select one or more SEED channel codes. Multiple codes are "
                                               "comma-separated.",
                service_interfaces.STATION: "Select one or more SEED channel codes. Multiple codes are comma-separated."
            },
        LOCATION:{
                service_interfaces.DATASELECT: "Select one or more SEED location identifiers. Multiple identifiers "
                                               "are comma- separated. As a special case \"--\" (two dashes) will be "
                                               "translated to a string of two space characters to match blank location "
                                               "IDs.",
                service_interfaces.STATION: "Select one or more SEED location identifiers. Multiple identifiers are "
                                            "comma- separated. As a special case \"--\" (two dashes) will be "
                                            "translated to a string of two space characters to match blank location "
                                            "IDs."
        }

    }