import os
import yaml
from urllib.parse import urljoin


def load_server(host, base_url):
    _p = os.path.dirname(__file__)
    with open(os.path.join(_p, 'server.yml')) as f:
        _s = yaml.load(f)
        host_url = _s[host]['url']
        api_version = _s[host]['fdsn_version']

    if base_url:
        api_url = urljoin(host_url, base_url)
        return urljoin(api_url, api_version)
    else:
        return host_url
